Index: trunk/Cosy/tpoint/m1/2008_12/tpoint0812.txt
===================================================================
--- trunk/Cosy/tpoint/m1/2008_12/tpoint0812.txt	(revision 9997)
+++ trunk/Cosy/tpoint/m1/2008_12/tpoint0812.txt	(revision 9999)
@@ -2,38 +2,4 @@
 : ALTAZ
 49 48 0 16.12.2008 23:43:43.265
-
-# 16.12.2008 23:43:43.265
-107.5965 69.93711 250.2273 60.99507 5.6275 21.1425 -0.00630744 -0.03441054 54816.988695 4247 2.136
-86.56096 75.63093 229.1929 66.67729 5.438056 28.6075 -0.01125861 -0.05238663 54816.992269 4027 1.366
-105.4431 57.7468 248.0623 48.81891 6.628611 16.39917 0.001304406 -0.009685812 54816.99732 4708 1.528
-89.25101 60.56297 231.8787 51.62988 6.732222 25.13111 -0.001843036 -0.01147632 54817.000395 4774 2.249
-79.3992 49.20188 222.0239 40.27409 7.755278 28.02611 -0.006187865 -0.003531371 54817.004651 5196 0.9665
-71.0467 61.91284 213.683 52.9792 6.879722 33.96111 -0.001415676 -0.01336151 54817.007673 4723 2.92
-56.36581 72.50272 199.0106 63.56216 5.995278 37.2125 0.0003386899 -0.03280818 54817.01013 4839 1.978
-35.48844 68.81949 178.146 59.88744 5.992222 44.9475 0.003213572 -0.03321227 54817.01302 4517 1.46
-9.569526 77.30104 152.2258 68.36548 5.108611 41.23444 0.009183927 -0.0468921 54817.016333 4223 2.451
-
-# 08.12.2008 01:50:22.391
-##-2.073828 12.14706 140.1039 2.907257 18.35083 72.73278 -0.4152806 0.4316631 54808.076648 4736 5.78
-
-# 08.12.2008 01:59:12.903
-11.99608 17.35095 154.6117 8.427132 14.845 74.15556 0.005787296 0.0005055135 54808.082788 4657 1.503
-12.04993 17.39972 154.6623 8.473402 14.845 74.15556 0.0004627142 0.00336752 54808.083449 4812 1.459
-22.60473 13.97306 165.2276 5.068343 14.07306 64.37583 0.0228065 -0.009201913 54808.086983 3900 5.34
-22.19218 24.50376 164.8175 15.58652 12.55806 69.78833 0.006779231 -0.002851774 54808.089266 4313 4.263
-23.78116 30.05815 166.4117 21.13531 11.52333 69.33111 0.0008256907 -0.004195674 54808.091731 4159 3.548
-25.80708 50.7676 168.449 41.83265 8.504444 60.71806 -0.009663365 -0.0075381 54808.094974 4535 2.738
-
-# 08.12.2008 01:07:53.352
--34.95399 61.62748 107.6891 52.79785 3.405278 49.86111 0.001805099 -0.009052786 54808.047145 4866 1.352
--33.47396 56.58516 109.1571 47.76281 3.08 53.50639 0.005173598 0.00434363 54808.049567 4635 2.308
--33.27567 41.07301 109.3273 32.25046 1.430278 60.23528 -0.0009305799 0.02549476 54808.052703 4674 2.16
--25.85529 23.59215 116.7498 14.76318 22.82806 66.20056 -0.007862726 0.01281983 54808.055181 4552 2.818
--24.01752 12.99398 118.5883 4.164094 21.30972 62.58556 -0.003839422 0.003484345 54808.057639 4598 2.225
-##-17.82438 18.37031 124.7846 9.481565 21.47778 70.56083 -0.0665346 0.005871003 54808.060467 4449 2.824
-
-# 08.12.2008 00:17:32.362
--89.60801 71.43433 53.11928 62.60127 2.833056 27.26056 0.00618197 -0.1288811 54808.01218 4402 2.855
--81.65589 17.19928 60.92665 8.369824 23.07944 15.20528 -0.001025251 0.02006555 54808.015509 5068 2.128
 
 # 07.12.2008 20:59:28.177
@@ -46,33 +12,4 @@
 41.64996 33.81736 184.2847 24.91046 5.992222 54.28472 0.01495428 -0.007482263 54807.888492 4381 3.054
 52.90457 33.50588 195.5279 24.58696 5.992222 44.9475 9.636812e-05 0.002698475 54807.89136 4229 1.683
-
-# 07.12.2008 23:25:56.727
--137.7533 43.38646 4.828355 34.55671 1.400278 -8.183333 -0.003752703 0.02029553 54807.976351 4399 2.776
--134.5227 38.96221 8.060485 30.12766 1.143056 -10.18222 -0.01060174 0.01797473 54807.978697 4278 2.618
--134.2743 28.57441 8.307948 19.73698 0.7263889 -17.98667 -0.01392953 0.01682689 54807.981041 4450 1.694
--121.317 30.19573 21.26619 21.35402 0.3238889 -8.823889 -0.01431532 0.02186284 54807.983651 4733 2.867
--119.8108 8.553113 22.77634 -0.2869136 23.1575 -21.1725 -0.006098163 0.000938326 54807.986674 4316 3.96
--102.1416 64.66734 40.47587 55.82759 1.910556 20.80806 -0.005069653 -0.0135616 54807.989368 4773 2.043
--97.98756 67.65239 44.66332 58.80261 2.119444 23.4625 -0.01577525 -0.05051807 54807.991586 4417 1.496
-
-# 08.12.2008 01:36:20.179
--14.01107 28.41736 128.6053 19.57784 23.65583 77.6325 -0.01944494 0.007251082 54808.0669 4669 2.635
--14.00797 28.41236 128.6057 19.57382 23.65583 77.6325 -0.01894678 0.009879157 54808.066959 4641 2.536
-##-10.34831 12.30849 131.8147 3.070302 19.80278 70.26778 -0.4143273 0.445556 54808.068854 4575 5.733
-##-24.05698 73.24479 118.6025 64.31562 5.032778 43.82333 -0.09138278 -0.03533395 54808.071602 4399 2.38
-
-# 08.12.2008 00:34:37.306
--78.64572 55.68054 63.93525 46.84918 1.884722 29.57889 0.0002004694 0.03876436 54808.024043 4827 2.694
--71.99593 32.62516 70.58222 23.79052 0.1397222 29.09056 -0.01024631 0.03611723 54808.026494 4701 1.763
-
-# 08.12.2008 02:23:00.071
-27.95699 44.03378 170.5937 35.11947 9.525556 63.06194 0.009088364 -0.002845523 54808.099306 4735 3.255
-32.71807 34.39413 175.3401 25.48197 11.06222 61.75083 0.0123549 0.006550445 54808.10163 3977 1.658
-35.39916 15.69893 178.0169 6.783696 13.39861 54.92528 0.01311551 -0.003870649 54808.104279 3512 2.417
-38.69478 10.10483 181.3114 1.192041 13.79222 49.31333 0.05222792 -0.008867604 54808.106297 2812 2.749
-39.22242 36.10955 181.8506 27.18577 11.03056 56.3825 -0.0009506225 0.0007245361 54808.108575 4312 1.904
-41.74778 29.0167 184.3731 20.10492 11.89722 53.69472 0.01110613 -0.0007632914 54808.111189 4293 2.104
-71.63853 78.02867 214.2507 69.0554 7.576667 31.88861 -0.03038936 -0.03860473 54808.113925 4147 1.081
--171.409 77.51222 331.1523 68.66089 6.628611 16.39917 -0.00638158 -0.03310413 54808.117103 4295 1.63
 
 # 07.12.2008 21:30:27.893
@@ -110,13 +47,62 @@
 -150.3726 9.573899 352.2154 0.7250387 0.4380556 -42.30611 -0.01817021 -0.003018589 54807.968615 4688 2.292
 
-# 08.12.2008 23:17:49.123
--62.39352 13.07594 80.20096 4.2508 21.21556 30.22694 -0.0006038345 0.006628724 54808.970707 3213 4.017
--62.36786 13.02849 80.22562 4.198907 21.21556 30.22694 -0.002636013 0.007487285 54808.970885 3332 4.12
--47.93479 7.833298 94.66931 -1.00887 20.37056 40.25667 -0.01201973 -0.00374622 54808.974395 3459 3.838
--51.7018 41.19425 90.90175 32.36413 23.62611 46.45806 -0.007010721 0.02076685 54808.981866 3739 3.581
--66.30936 69.63265 76.38281 60.79756 2.159167 34.98722 0.003014589 -0.07764392 54808.986717 4449 2.429
--63.05563 53.00933 79.55694 44.17674 0.9458333 38.49944 -0.003675095 0.01196469 54808.992873 4346 3.444
--51.82466 63.19896 90.83258 54.3615 2.065 42.32972 -0.007088283 -0.02950462 54808.998835 4274 1.557
--47.99315 73.58141 94.72527 64.74903 3.086389 38.84028 0.00892125 -0.1063525 54809.005128 4663 2.089
+# 07.12.2008 23:25:56.727
+-137.7533 43.38646 4.828355 34.55671 1.400278 -8.183333 -0.003752703 0.02029553 54807.976351 4399 2.776
+-134.5227 38.96221 8.060485 30.12766 1.143056 -10.18222 -0.01060174 0.01797473 54807.978697 4278 2.618
+-134.2743 28.57441 8.307948 19.73698 0.7263889 -17.98667 -0.01392953 0.01682689 54807.981041 4450 1.694
+-121.317 30.19573 21.26619 21.35402 0.3238889 -8.823889 -0.01431532 0.02186284 54807.983651 4733 2.867
+-119.8108 8.553113 22.77634 -0.2869136 23.1575 -21.1725 -0.006098163 0.000938326 54807.986674 4316 3.96
+-102.1416 64.66734 40.47587 55.82759 1.910556 20.80806 -0.005069653 -0.0135616 54807.989368 4773 2.043
+-97.98756 67.65239 44.66332 58.80261 2.119444 23.4625 -0.01577525 -0.05051807 54807.991586 4417 1.496
+
+# 08.12.2008 00:17:32.362
+-89.60801 71.43433 53.11928 62.60127 2.833056 27.26056 0.00618197 -0.1288811 54808.01218 4402 2.855
+-81.65589 17.19928 60.92665 8.369824 23.07944 15.20528 -0.001025251 0.02006555 54808.015509 5068 2.128
+
+# 08.12.2008 00:34:37.306
+-78.64572 55.68054 63.93525 46.84918 1.884722 29.57889 0.0002004694 0.03876436 54808.024043 4827 2.694
+-71.99593 32.62516 70.58222 23.79052 0.1397222 29.09056 -0.01024631 0.03611723 54808.026494 4701 1.763
+
+# 08.12.2008 01:07:53.352
+-34.95399 61.62748 107.6891 52.79785 3.405278 49.86111 0.001805099 -0.009052786 54808.047145 4866 1.352
+-33.47396 56.58516 109.1571 47.76281 3.08 53.50639 0.005173598 0.00434363 54808.049567 4635 2.308
+-33.27567 41.07301 109.3273 32.25046 1.430278 60.23528 -0.0009305799 0.02549476 54808.052703 4674 2.16
+-25.85529 23.59215 116.7498 14.76318 22.82806 66.20056 -0.007862726 0.01281983 54808.055181 4552 2.818
+-24.01752 12.99398 118.5883 4.164094 21.30972 62.58556 -0.003839422 0.003484345 54808.057639 4598 2.225
+##-17.82438 18.37031 124.7846 9.481565 21.47778 70.56083 -0.0665346 0.005871003 54808.060467 4449 2.824
+
+# 08.12.2008 01:36:20.179
+-14.01107 28.41736 128.6053 19.57784 23.65583 77.6325 -0.01944494 0.007251082 54808.0669 4669 2.635
+-14.00797 28.41236 128.6057 19.57382 23.65583 77.6325 -0.01894678 0.009879157 54808.066959 4641 2.536
+##-10.34831 12.30849 131.8147 3.070302 19.80278 70.26778 -0.4143273 0.445556 54808.068854 4575 5.733
+##-24.05698 73.24479 118.6025 64.31562 5.032778 43.82333 -0.09138278 -0.03533395 54808.071602 4399 2.38
+
+# 08.12.2008 01:50:22.391
+##-2.073828 12.14706 140.1039 2.907257 18.35083 72.73278 -0.4152806 0.4316631 54808.076648 4736 5.78
+
+# 08.12.2008 01:59:12.903
+11.99608 17.35095 154.6117 8.427132 14.845 74.15556 0.005787296 0.0005055135 54808.082788 4657 1.503
+12.04993 17.39972 154.6623 8.473402 14.845 74.15556 0.0004627142 0.00336752 54808.083449 4812 1.459
+22.60473 13.97306 165.2276 5.068343 14.07306 64.37583 0.0228065 -0.009201913 54808.086983 3900 5.34
+22.19218 24.50376 164.8175 15.58652 12.55806 69.78833 0.006779231 -0.002851774 54808.089266 4313 4.263
+23.78116 30.05815 166.4117 21.13531 11.52333 69.33111 0.0008256907 -0.004195674 54808.091731 4159 3.548
+25.80708 50.7676 168.449 41.83265 8.504444 60.71806 -0.009663365 -0.0075381 54808.094974 4535 2.738
+
+# 08.12.2008 02:23:00.071
+27.95699 44.03378 170.5937 35.11947 9.525556 63.06194 0.009088364 -0.002845523 54808.099306 4735 3.255
+32.71807 34.39413 175.3401 25.48197 11.06222 61.75083 0.0123549 0.006550445 54808.10163 3977 1.658
+35.39916 15.69893 178.0169 6.783696 13.39861 54.92528 0.01311551 -0.003870649 54808.104279 3512 2.417
+38.69478 10.10483 181.3114 1.192041 13.79222 49.31333 0.05222792 -0.008867604 54808.106297 2812 2.749
+39.22242 36.10955 181.8506 27.18577 11.03056 56.3825 -0.0009506225 0.0007245361 54808.108575 4312 1.904
+41.74778 29.0167 184.3731 20.10492 11.89722 53.69472 0.01110613 -0.0007632914 54808.111189 4293 2.104
+71.63853 78.02867 214.2507 69.0554 7.576667 31.88861 -0.03038936 -0.03860473 54808.113925 4147 1.081
+-171.409 77.51222 331.1523 68.66089 6.628611 16.39917 -0.00638158 -0.03310413 54808.117103 4295 1.63
+
+# 08.12.2008 21:10:59.010
+59.09959 10.27287 201.7242 1.339902 7.576667 31.88833 -0.005131941 -0.01654648 54808.882627 3067 1.919
+59.74179 11.47969 202.3623 2.545669 7.576667 31.88833 -0.005269455 -0.0121838 54808.887087 3216 1.842
+62.08728 32.581 204.7118 23.65218 5.995278 37.2125 -0.004981362 -0.001154394 54808.89085 3598 2.268
+70.68821 45.95865 213.32 37.02329 4.95 33.16611 -0.01181952 -0.006004803 54808.896207 3845 2.066
+75.4283 40.20561 218.0519 31.27443 5.438056 28.6075 -0.005683272 -0.0008775459 54808.900597 3551 1.519
 
 # 08.12.2008 21:44:31.656
@@ -137,4 +123,20 @@
 -62.92608 14.16073 79.66691 5.326835 21.21556 30.22694 -0.006847325 0.008598156 54808.966853 3387 3.247
 
+# 08.12.2008 23:17:49.123
+-62.39352 13.07594 80.20096 4.2508 21.21556 30.22694 -0.0006038345 0.006628724 54808.970707 3213 4.017
+-62.36786 13.02849 80.22562 4.198907 21.21556 30.22694 -0.002636013 0.007487285 54808.970885 3332 4.12
+-47.93479 7.833298 94.66931 -1.00887 20.37056 40.25667 -0.01201973 -0.00374622 54808.974395 3459 3.838
+-51.7018 41.19425 90.90175 32.36413 23.62611 46.45806 -0.007010721 0.02076685 54808.981866 3739 3.581
+-66.30936 69.63265 76.38281 60.79756 2.159167 34.98722 0.003014589 -0.07764392 54808.986717 4449 2.429
+-63.05563 53.00933 79.55694 44.17674 0.9458333 38.49944 -0.003675095 0.01196469 54808.992873 4346 3.444
+-51.82466 63.19896 90.83258 54.3615 2.065 42.32972 -0.007088283 -0.02950462 54808.998835 4274 1.557
+-47.99315 73.58141 94.72527 64.74903 3.086389 38.84028 0.00892125 -0.1063525 54809.005128 4663 2.089
+
+# 09.12.2008 00:16:21.662
+-37.70909 43.24588 104.9058 34.42379 0.675 56.53722 0.001913142 0.0140799 54809.011362 3755 1.927
+-35.51386 37.32567 107.0864 28.50058 0.1530556 59.14972 -0.004372199 0.02575492 54809.018767 3638 2.019
+-27.05971 17.25924 115.5451 8.439056 21.30972 62.58556 0.004230338 0.007881701 54809.023529 3845 2.823
+-41.67995 66.03747 100.9822 57.2005 3.158333 44.85722 -0.003459049 -0.03219242 54809.026933 3812 3.697
+
 # 09.12.2008 00:53:35.602
 -14.02765 30.46755 128.5889 21.64784 23.65583 77.6325 4.208421e-05 0.008622524 54809.037218 3489 2.766
@@ -148,14 +150,12 @@
 -144.9298 40.52802 357.6497 31.69922 3.967222 -13.50861 -0.00404042 0.02022867 54809.072257 4038 4.184
 
-# 09.12.2008 00:16:21.662
--37.70909 43.24588 104.9058 34.42379 0.675 56.53722 0.001913142 0.0140799 54809.011362 3755 1.927
--35.51386 37.32567 107.0864 28.50058 0.1530556 59.14972 -0.004372199 0.02575492 54809.018767 3638 2.019
--27.05971 17.25924 115.5451 8.439056 21.30972 62.58556 0.004230338 0.007881701 54809.023529 3845 2.823
--41.67995 66.03747 100.9822 57.2005 3.158333 44.85722 -0.003459049 -0.03219242 54809.026933 3812 3.697
-
-# 08.12.2008 21:10:59.010
-59.09959 10.27287 201.7242 1.339902 7.576667 31.88833 -0.005131941 -0.01654648 54808.882627 3067 1.919
-59.74179 11.47969 202.3623 2.545669 7.576667 31.88833 -0.005269455 -0.0121838 54808.887087 3216 1.842
-62.08728 32.581 204.7118 23.65218 5.995278 37.2125 -0.004981362 -0.001154394 54808.89085 3598 2.268
-70.68821 45.95865 213.32 37.02329 4.95 33.16611 -0.01181952 -0.006004803 54808.896207 3845 2.066
-75.4283 40.20561 218.0519 31.27443 5.438056 28.6075 -0.005683272 -0.0008775459 54808.900597 3551 1.519
+# 16.12.2008 23:43:43.265
+107.5965 69.93711 250.2273 60.99507 5.6275 21.1425 -0.00630744 -0.03441054 54816.988695 4247 2.136
+86.56096 75.63093 229.1929 66.67729 5.438056 28.6075 -0.01125861 -0.05238663 54816.992269 4027 1.366
+105.4431 57.7468 248.0623 48.81891 6.628611 16.39917 0.001304406 -0.009685812 54816.99732 4708 1.528
+89.25101 60.56297 231.8787 51.62988 6.732222 25.13111 -0.001843036 -0.01147632 54817.000395 4774 2.249
+79.3992 49.20188 222.0239 40.27409 7.755278 28.02611 -0.006187865 -0.003531371 54817.004651 5196 0.9665
+71.0467 61.91284 213.683 52.9792 6.879722 33.96111 -0.001415676 -0.01336151 54817.007673 4723 2.92
+56.36581 72.50272 199.0106 63.56216 5.995278 37.2125 0.0003386899 -0.03280818 54817.01013 4839 1.978
+35.48844 68.81949 178.146 59.88744 5.992222 44.9475 0.003213572 -0.03321227 54817.01302 4517 1.46
+9.569526 77.30104 152.2258 68.36548 5.108611 41.23444 0.009183927 -0.0468921 54817.016333 4223 2.451