Index: trunk/Cosy/tpoint/m1/2008_06/tpoint0806.txt
===================================================================
--- trunk/Cosy/tpoint/m1/2008_06/tpoint0806.txt	(revision 10000)
+++ trunk/Cosy/tpoint/m1/2008_06/tpoint0806.txt	(revision 10000)
@@ -0,0 +1,216 @@
+
+# before new pointing model
+# --- 11.06.2008 --- 22:00:49.331
+#-35.3953 54.73142 107.2225 45.90974 11.89722 53.69472 0.01616792 0.004759886 54628.917238 6097 1.975
+#-16.68967 68.28017 125.9494 59.43891 13.79222 49.31333 0.002074076 -0.01648068 54628.926704 6233 1.599
+#-31.14569 32.30491 111.4611 23.47648 9.525556 63.06194 0.002641621 0.007151274 54628.93045 6307 3.239
+#138.1071 87.70309 279.8472 78.73082 14.74972 27.07417 -0.0008036707 -0.07324945 54628.935798 6380 1.891
+#-74.26334 83.47796 68.21655 74.65111 14.53056 30.37139 0.03616076 -0.05256743 54628.951501 6980 2.815
+#108.4762 83.95774 250.8789 74.98394 15.57806 26.71472 -0.008027991 -0.0677008 54628.957182 6205 1.846
+#81.66213 87.62633 223.5612 78.66467 15.46389 29.10583 0.005362476 -0.07477275 54628.962796 7229 2.946
+
+# --- 11.06.2008 --- 23:14:48.602
+#58.08937 89.41522 197.9563 80.44217 15.46389 29.10583 -0.01265551 -0.07686853 54628.968618 7073 2.945
+-29.06226 16.63467 113.5385 7.810448 8.504444 60.71806 0.001401894 -0.04170779 54628.981043 7228 2.658
+-118.1987 85.71535 24.1675 76.87889 15.57806 26.71472 0.02264702 -0.04937263 54628.986629 6691 1.692
+-115.2634 85.29471 27.1629 76.45966 15.57806 26.71472 0.02660342 -0.04820575 54628.988103 6944 1.736
+98.36932 32.96205 240.97 24.03249 19.84639 8.868333 -0.001179952 -0.00188716 54628.993956 5626 1.067
+133.3438 57.28624 275.9524 48.3466 17.72444 4.567222 -0.001030845 0.002023994 54628.999856 6897 2.018
+151.124 68.28397 293.7376 59.32565 16.96111 9.375 -0.01334885 -0.01753921 54629.003566 7086 2.413
+-153.1438 75.46067 349.4407 66.6163 15.94083 15.66167 0.00752183 -0.02397336 54629.008817 7084 3.023
+-142.4422 67.7573 0.1608956 58.92206 15.58 10.53917 0.01009302 -0.009159257 54629.012688 6890 3.149
+-131.0001 52.56276 11.59656 43.73315 14.77083 1.892778 0.007483108 0.001777797 54629.017178 7226 2.835
+-122.7149 27.79697 19.89596 18.97286 13.42 -11.16139 0.007034113 -0.05263619 54629.022224 7277 0.9036
+-117.1965 12.59894 25.44027 3.770587 12.49778 -16.51556 0.005866334 -0.1166843 54629.027266 7082 2.46
+-73.29753 12.42735 69.28605 3.595964 11.235 20.52361 -0.007555108 -0.05747458 54629.035065 6806 2.401
+
+# --- 12.06.2008 --- 00:57:21.345
+-72.56516 10.98928 70.02051 2.160463 11.235 20.52361 -0.001733393 -0.06141559 54629.03983 7297 2.383
+
+# --- 12.06.2008 --- 22:36:37.395
+76.33156 66.10807 218.976 57.16622 16.68806 31.60306 3.96387e-05 -0.01101955 54629.942099 7632 2.166
+-27.59744 79.10181 115.0334 70.25831 14.53472 38.30833 0.005283759 -0.03104557 54629.946603 6972 2.47
+-29.82232 64.96628 112.8223 56.13501 13.79222 49.31333 0.005027769 -0.00501952 54629.950145 7348 1.53
+-38.9577 39.26551 103.6514 30.4419 11.03056 56.3825 -0.0005112166 -0.003102966 54629.953626 6696 1.981
+-71.95575 17.2959 70.62683 8.471095 9.764167 23.77417 -0.0005517262 -0.03986828 54629.959657 7140 2.536
+62.4774 22.72516 205.0825 13.80627 20.77028 33.97028 0.007886679 -0.0166998 54629.964276 6035 2.031
+94.39009 37.52369 237.0024 28.61162 19.09028 13.86333 0.0136321 -0.001203678 54629.967097 7068 2.48
+113.347 57.32144 255.9685 48.38532 17.58222 12.56 0.001712399 -0.002306289 54629.970979 6793 1.71
+
+# --- 12.06.2008 --- 23:32:28.563
+-126.2537 86.53248 16.00935 77.69226 15.57806 26.71472 0.01403895 -0.0491545 54629.980886 6907 1.717
+-104.3679 60.94696 38.23073 52.11643 13.91139 18.39778 0.00605827 0.006932927 54629.985331 7395 2.019
+-104.3305 60.90854 38.26801 52.07956 13.91139 18.39778 0.008300377 0.007181213 54629.985449 6819 2.065
+-104.2652 45.22699 38.32542 36.39698 13.03639 10.95917 0.001513339 0.0009789108 54629.988704 7691 2.161
+-89.17747 29.90915 53.40188 21.08363 11.81778 14.57194 0.001642765 -0.01156942 54629.99217 7148 1.686
+64.55744 82.94068 207.0995 73.98105 16.68806 31.60306 -0.007008107 -0.04967099 54629.997576 6942 2.182
+163.4255 82.40841 305.9085 73.45736 16.50361 21.48972 0.007602955 -0.04515678 54630.004302 6918 2.124
+-88.10429 67.11378 54.50687 58.28242 14.74972 27.07417 0.008792029 -0.001510139 54630.0095 6714 1.837
+27.17138 63.04471 169.8247 54.10971 17.94333 51.48889 0.001211032 -0.005781666 54630.016615 7004 1.563
+17.36796 64.85468 160.0202 55.91728 17.50722 52.30139 -0.001219086 -0.006168286 54630.019121 6713 2.201
+-32.56292 86.60309 109.8439 77.77421 16.68806 31.60306 0.0295933 -0.04960771 54630.024233 7039 2.199
+-45.49649 85.90418 96.94845 77.05929 16.68806 31.60306 0.01067668 -0.04835278 54630.027815 6940 2.221
+-63.96527 83.11927 78.58652 74.28374 16.68806 31.60306 0.01775368 -0.03661633 54630.038405 7074 2.195
+-12.97805 40.57626 129.6384 31.75681 14.845 74.15556 0.004689118 0.001765428 54630.048452 7583 1.462
+
+# --- 13.06.2008 --- 21:33:32.439
+26.38441 16.20865 169.0055 7.301899 21.30972 62.58556 0.01788823 -0.04746863 54630.898292 5607 2.201
+51.49107 14.22384 194.1092 5.31998 20.37056 40.25667 0.0216405 -0.04831968 54630.903599 6941 2.205
+44.96299 42.43976 187.5913 33.52876 17.94333 51.48889 0.01421514 -0.0002218773 54630.910131 7040 1.66
+42.68442 47.10415 185.316 38.19407 17.50722 52.30139 0.01747598 0.00425216 54630.913907 7592 2.186
+33.83825 75.55339 176.4865 66.61188 15.0325 40.39056 0.003150607 -0.02975401 54630.917698 6985 2.839
+5.553415 80.44411 148.159 71.49385 14.53472 38.30833 -0.001774597 -0.03776916 54630.922879 7427 2.437
+-33.89646 88.08895 108.1767 79.24171 14.53056 30.37139 0.01209091 -0.06282181 54630.929386 7677 2.972
+-45.96842 87.70125 96.19548 78.86235 14.53056 30.37139 0.02066376 -0.05961258 54630.931245 7447 2.869
+-56.8519 87.0558 85.45207 78.21622 14.53056 30.37139 0.0196943 -0.05496952 54630.933848 7543 2.859
+-66.55234 85.8811 75.88626 77.03601 14.53056 30.37139 -0.0004945103 -0.05080402 54630.938122 7590 2.809
+-76.05601 82.34653 66.50975 73.51653 14.53056 30.37139 0.02356325 -0.04006882 54630.949781 7433 2.811
+-32.84942 63.69095 109.7911 54.85243 13.79222 49.31333 -0.001947352 -0.004602054 54630.955203 7618 1.54
+-35.21388 62.45912 107.4244 53.62933 13.79222 49.31333 0.007098497 -0.003240744 54630.962107 6925 1.632
+-41.83653 43.25934 100.7757 34.43279 11.89722 53.69472 0.006128632 -0.001124242 54630.969124 7000 2.021
+-50.08367 41.81064 92.52189 32.9943 11.7675 47.77944 0.004512052 0.000135368 54630.972538 6679 3.066
+-53.63263 34.19925 88.96024 25.37075 11.16111 44.49861 -0.002804069 -0.00283459 54630.977062 6706 2.369
+-52.61769 23.59256 89.9737 14.75725 10.285 42.91444 -0.008990056 -0.02356797 54630.98112 6951 2.965
+105.0344 23.84565 247.6324 14.93262 20.18833 -0.8213889 0.01743095 -0.02109067 54630.989214 6843 2.82
+106.9551 29.8938 249.5579 20.98 19.87444 1.005556 0.01389875 -0.01138284 54630.992839 6840 3.176
+122.2111 36.90194 264.8164 27.98576 19.10417 -4.8825 0.01200378 -0.005336955 54630.997612 7112 2.87
+133.6269 40.81873 276.2248 31.89831 18.58667 -8.244167 0.01216399 -0.00166452 54631.001496 6807 3.256
+143.7982 24.63814 286.3881 15.72193 18.92111 -26.29667 0.0138763 -0.02537638 54631.006705 6794 1.824
+150.4249 29.34117 293.0155 20.41992 18.46611 -25.42167 0.009648894 -0.01945136 54631.010869 7077 2.252
+155.8326 26.79322 298.4257 17.88125 18.35 -29.82806 0.01688954 -0.02376096 54631.015873 7046 2.088
+155.8517 26.80071 298.4419 17.88827 18.35 -29.82806 0.01699493 -0.02349954 54631.015932 6740 2.046
+159.8261 23.3914 302.4232 14.47423 18.40278 -34.38472 0.01382318 -0.04268598 54631.024685 6801 1.682
+164.5249 22.37435 307.1203 13.4656 18.29389 -36.76167 0.02148356 -0.04122815 54631.03296 6906 2.153
+171.8672 23.62943 314.462 14.71977 17.83083 -37.04333 0.02062818 -0.04065738 54631.037519 6972 2.585
+163.9228 38.53614 306.5232 29.61588 18.22944 -21.05889 0.0108609 -0.01522828 54631.042641 6733 3.323
+
+# --- 14.06.2008 -- 01:18:12.676
+157.0348 50.43388 299.633 41.5054 18.58667 -8.244167 0.007474241 -0.002581584 54631.054313 7120 3.146
+#162.8497 57.01883 305.5261 48.20959 18.35528 -2.898889 0.1287517 -0.0706643 54631.059539 7351 2.402
+167.5661 70.40477 310.1731 61.46038 18.1225 9.563889 0.002928176 -0.01867212 54631.063657 6711 3.14
+-160.9686 72.96896 341.6255 64.1223 17.58222 12.56 0.002284727 -0.02090575 54631.068391 7438 1.653
+145.7002 81.66045 288.2219 72.70002 18.395 21.76972 -0.003286988 -0.04228543 54631.072586 7387 3.122
+163.9056 82.73485 306.395 73.78787 18.395 21.76972 0.01135988 -0.03960226 54631.080596 7738 3.12
+
+# --- 14.06.2008 --- 21:29:05.572
+-144.7984 68.7835 357.8123 59.93902 13.03639 10.95917 0.002927231 -0.01237399 54631.895203 6914 2.214
+-142.2321 59.19428 0.3601272 50.36888 12.92667 3.3975 0.01342488 0.001719634 54631.907373 6822 2.301
+-161.8289 48.34751 340.7814 39.50237 13.42 -11.16139 -0.01027671 -0.01883856 54631.911006 6757 1.167
+-162.5189 35.96249 340.1163 27.13395 13.31528 -23.17167 0.002624771 -0.06288118 54631.915481 6697 2.548
+##-165.8355 22.70151 336.8541 13.86505 13.34333 -36.71222 -0.003549094 -0.1420048 54631.919813 6503 2.726
+-141.5996 15.91095 1.013653 7.078965 11.55 -31.85778 -0.001492505 -0.09160436 54631.923685 6626 3.481
+-141.1342 27.34424 1.467479 18.50058 12.16861 -22.61972 -0.01406192 -0.04868797 54631.928269 6578 2.651
+-139.9101 34.14917 2.690694 25.30699 12.49778 -16.51556 -0.01175644 -0.03345458 54631.932533 6597 2.697
+-128.8612 46.78389 13.72925 37.95117 12.69444 -1.449444 0.0009840259 -0.0009999793 54631.936325 6810 2.38
+-125.7443 51.56481 16.84637 42.7329 12.92667 3.3975 0.002248023 0.0006280851 54631.940769 7116 2.386
+110.8132 84.53272 253.2445 75.55353 15.57806 26.71472 -0.01907149 -0.05665064 54631.950883 6905 1.773
+124.1477 86.39615 266.4102 77.41955 15.57806 26.71472 -0.01455628 -0.06022576 54631.957504 6997 1.773
+137.2226 87.20976 279.2856 78.23512 15.57806 26.71472 -0.01200654 -0.05962405 54631.960889 7413 1.777
+149.4112 87.6125 291.3662 78.6359 15.57806 26.71472 -0.01390979 -0.06367269 54631.963002 6601 1.873
+160.591 87.81423 302.4597 78.83909 15.57806 26.71472 -0.01130006 -0.06188521 54631.964527 7270 1.748
+
+# --- 14.06.2008 --- 23:18:07.932
+-147.1871 87.5273 354.8358 78.67661 15.57806 26.71472 0.01154914 -0.05263732 54631.970925 7405 1.778
+-137.6234 87.18804 4.506006 78.34879 15.57806 26.71472 0.02240295 -0.04829335 54631.972619 7651 1.722
+-129.5756 86.7661 12.68365 77.92089 15.57806 26.71472 0.01734884 -0.04900158 54631.974477 6815 1.816
+-119.677 85.90942 22.67172 77.06275 15.57806 26.71472 0.009725383 -0.04701274 54631.977784 7493 1.733
+-110.5817 84.42762 31.88153 75.58355 15.57806 26.71472 0.01313195 -0.03970231 54631.982931 7402 1.783
+144.6764 81.19639 287.2148 72.24502 16.50361 21.48972 0.005151661 -0.04214732 54631.990154 7303 2.128
+153.641 81.92567 296.1581 72.9691 16.50361 21.48972 0.001425798 -0.04798301 54631.994622 7519 2.152
+56.69596 84.6676 199.1891 75.7075 16.68806 31.60306 -0.0007783504 -0.0539399 54631.99838 7058 2.32
+44.93716 85.94644 187.3272 76.99184 16.68806 31.60306 0.002642171 -0.05684104 54632.003573 7620 2.246
+31.61325 33.9835 174.2322 25.07428 21.30972 62.58556 0.01272451 -0.005287769 54632.008268 5933 2.163
+31.85919 38.73921 174.4848 29.83121 20.75472 61.83889 0.01633556 -0.004089295 54632.01322 7127 2.753
+25.10262 63.77303 167.7557 54.84207 17.94333 51.48889 0.005386094 -0.005105897 54632.016409 6971 1.632
+14.13012 65.42766 156.7847 56.49218 17.50722 52.30139 0.001113609 -0.006040507 54632.020355 7555 2.148
+23.89221 81.12126 166.4961 72.18027 17.25083 36.80917 0.008390196 -0.04096821 54632.023837 6817 2.426
+-20.7055 79.05497 121.9268 70.21829 16.715 38.92222 0.01146609 -0.03012611 54632.027663 7010 2.853
+-9.455092 56.4776 133.1829 47.6459 16.39972 61.51417 -0.0009671144 0.005741069 54632.031159 6767 2.103
+-12.20257 41.16393 130.4113 32.32631 14.845 74.15556 -0.01255513 0.004871987 54632.034719 6997 1.353
+-13.31844 40.30904 129.2961 31.4797 14.845 74.15556 -0.005234378 0.003106491 54632.046841 7425 2.033
+-28.11473 40.12016 114.4979 31.29909 14.07306 64.37583 0.003604457 -0.002025568 54632.06021 6977 3.042
+-28.47846 39.16207 114.1317 30.33973 14.07306 64.37583 0.002118221 -0.0007327191 54632.066611 7591 3.021
+-23.20586 29.30514 119.399 20.48314 12.55806 69.78833 0.001352114 -0.01291076 54632.070882 7304 3.223
+-22.34235 23.45368 120.2572 14.63253 11.52333 69.33111 0.00157611 -0.01991277 54632.074776 7121 3.576
+-54.50923 74.60652 88.12273 65.7754 17.25083 36.80917 0.01648624 -0.02115488 54632.079584 7384 2.383
+-76.34819 67.43753 66.27624 58.61038 16.68806 31.60306 0.01113901 -0.007970949 54632.084774 7465 2.087
+-81.59945 49.54651 60.9923 40.72718 15.57806 26.71472 0.009074766 0.01207277 54632.094015 7882 1.788
+-70.2567 44.63815 72.34361 35.82533 15.25833 33.31472 0.01483879 0.001500917 54632.100976 7903 2.684
+
+# --- 15.06.2008 --- 22:20:11.594
+-74.85539 23.58163 67.72998 14.75444 9.764167 23.77417 -0.001238171 -0.02710574 54632.93069 5289 3.205
+-118.0454 57.97355 24.56128 49.13805 13.03639 10.95917 0.002874712 -0.004280998 54632.937357 5437 2.41
+-97.29398 43.5539 45.30244 34.72229 11.81778 14.57194 -6.654428e-06 -0.00386981 54632.940733 5416 1.905
+-85.15792 37.21212 57.42938 28.38676 11.235 20.52361 0.001102757 -0.003671711 54632.944084 5377 2.248
+-86.09106 18.11551 56.49265 9.285268 10.13944 11.96722 -0.004558013 -0.04412903 54632.948044 5402 1.552
+##-147.8031 30.54122 354.8494 21.70022 13.31528 -23.17167 -0.01094301 -0.09232758 54632.953348 5033 2.667
+-136.7049 23.0837 5.931734 14.24831 12.57306 -23.39667 -0.005813162 -0.09384803 54632.959888 5029 2.467
+-131.0074 19.10616 11.63007 10.27242 12.16861 -22.61972 -0.003204038 -0.1036584 54632.96296 5165 2.695
+-136.1914 38.59149 6.44024 29.74223 13.42 -11.16139 -0.01628603 -0.05305619 54632.967323 5214 1.286
+-134.2944 37.37555 8.323261 28.53856 13.42 -11.16139 -0.004957507 -0.04164623 54632.972728 4911 1.305
+-126.218 23.28253 16.40814 14.4517 12.49778 -16.51556 -0.003225835 -0.0818892 54632.976644 4914 2.814
+-123.7568 19.10091 18.87103 10.26853 12.26333 -17.54194 -0.003603436 -0.09321748 54632.980436 4854 2.486
+-112.3277 8.67904 30.29166 -0.1492407 11.32222 -14.77861 0.001654485 -0.1131535 54632.98462 5300 4.002
+-109.6408 37.4257 32.95856 28.59313 12.92667 3.3975 -0.004486658 -0.02278746 54632.988424 5041 2.449
+-111.1847 30.73709 31.41836 21.90986 12.69444 -1.449444 0.0009267339 -0.03943818 54632.992019 4762 2.448
+-99.23476 19.68016 43.36069 10.85093 11.845 1.764722 -0.001003091 -0.05363131 54632.998636 4947 3.511
+137.6803 43.20857 280.2879 34.27532 18.58667 -8.244167 0.0004921638 -0.009605116 54633.006791 5352 3.477
+
+# --- 16.06.2008 --- 00:13:34.935
+138.7302 43.76824 281.3363 34.8325 18.58667 -8.244167 -0.002516638 -0.009386167 54633.009432 5385 3.406
+122.562 22.29439 265.1679 13.38246 20.35028 -14.78139 0.01478161 -0.03527185 54633.013597 4899 2.75
+114.5766 21.41785 257.1823 12.50274 20.79472 -9.495833 0.01200466 -0.0343263 54633.017122 4788 3.907
+-129.0308 63.33784 13.58121 54.50456 15.58 10.5375 0.009185529 -0.01259644 54633.021694 4911 3.576
+108.2028 19.71586 250.8077 10.78171 21.52583 -5.571111 -0.003194284 -0.0382285 54633.034063 4775 2.596
+116.0233 12.05621 258.6318 3.129978 21.78389 -16.12722 0.007641854 -0.06376597 54633.038853 5148 2.822
+-115.5955 74.88431 27.00775 66.05901 16.50361 21.48972 0.02424289 -0.02231616 54633.043024 5331 2.235
+-87.09303 63.06894 55.51811 54.23427 15.57806 26.71472 0.004358775 0.00189618 54633.048321 4793 1.88
+128.4034 17.03932 271.002 8.11456 21.44444 -22.41139 0.006064695 -0.04375882 54633.058059 4926 3.781
+163.5363 29.31516 306.1332 20.38159 19.04361 -29.88028 -0.003678523 -0.02925474 54633.062388 5069 2.329
+176.7276 26.78611 319.3231 17.87088 18.40278 -34.38472 0.01534502 -0.03949768 54633.071887 4851 1.739
+-172.7912 17.75992 329.8251 8.918471 17.62194 -42.99778 -0.009416044 -0.0824711 54633.075527 4749 1.802
+-159.8442 23.45376 342.7881 14.6097 16.83611 -34.29333 -0.01238983 -0.08518001 54633.079093 5043 2.105
+167.6151 39.2783 310.2132 30.346 19.16278 -21.02361 -0.000218432 -0.02425235 54633.08478 5149 2.413
+176.5887 34.88098 319.1852 25.96354 18.92111 -26.29667 0.01283093 -0.02132768 54633.094493 5328 1.865
+178.2148 34.93908 320.8107 26.02661 18.92111 -26.29667 0.01330984 -0.01900639 54633.098612 5299 1.824
+-171.3767 30.8744 331.2208 22.04062 18.35 -29.82806 -0.002488993 -0.02825496 54633.103084 5015 2.098
+-166.6736 29.46173 335.9255 20.62563 18.09667 -30.42417 -0.005080077 -0.04143193 54633.106254 5084 2.495
+-144.4351 37.63153 358.1612 28.78955 17.17306 -15.72472 -0.00974691 -0.02126829 54633.109704 5277 2.107
+-104.8115 37.09364 37.77458 28.27332 15.73778 6.425556 0.005796897 -0.009119585 54633.111762 5566 2.031
+-78.55316 18.05529 64.04014 9.228982 13.91139 18.39778 -0.0007361505 -0.05046235 54633.113894 5260 2.298
+155.3216 65.79889 297.9356 56.83982 19.92194 6.406667 -0.01485361 -0.01272095 54633.117106 5080 3.018
+159.9432 70.88184 302.5623 61.91636 19.77111 10.61333 -0.01842576 -0.01890699 54633.120131 4762 1.981
+-45.71633 24.87649 96.88032 16.05357 13.79222 49.31333 0.0001377354 -0.02419481 54633.123726 5111 1.623
+-52.46202 11.47079 90.13851 2.639271 12.93389 38.31833 -0.003853817 -0.06648071 54633.126788 5256 2.516
+-33.13538 9.830342 109.4625 1.004684 11.89722 53.69472 0.001529333 -0.06035292 54633.129287 5142 2.628
+
+# --- 16.06.2008 --- 22:53:09.502
+-133.7097 8.396363 8.923048 -0.439983 11.55 -31.85778 -0.003811104 -0.1334865 54633.953582 4727 5.427
+64.65785 17.83928 207.2654 8.918611 21.21556 30.22694 0.005488502 -0.03132343 54633.959513 4982 3.464
+
+# --- 16.06.2008 --- 23:18:45.438
+64.4107 27.82059 207.0226 18.90064 20.77028 33.97028 0.002370021 -0.01151953 54633.971359 5288 2.229
+66.52592 39.35232 209.1473 30.42583 19.93833 35.08333 0.001186347 -0.001841209 54633.975895 4968 3.874
+77.74677 44.28209 220.369 35.34904 19.51194 27.95972 -0.003374783 0.001957621 54633.979582 5642 2.598
+84.12382 10.22027 226.737 1.294798 21.73639 9.875 0.005863577 -0.0618142 54633.98511 5195 2.377
+88.0406 28.07115 230.6487 19.14882 20.62583 14.59528 0.004279749 -0.01687106 54633.989021 4924 3.991
+86.85514 15.27589 229.4639 6.357906 21.73639 9.875 0.01194257 -0.04503547 54634.001242 4965 2.306
+90.89324 33.28148 233.5013 24.3652 20.62583 14.59528 0.01139553 -0.005177648 54634.005528 4829 3.781
+-173.0045 50.42666 329.5862 41.5868 16.61917 -10.56722 -0.004215583 0.003562473 54634.0172 5070 2.673
+94.91786 40.12076 237.5337 31.19575 20.62583 14.59528 0.004642606 -0.002911161 54634.027167 5370 3.568
+-101.7259 17.33372 40.88154 8.50038 12.69444 -1.449444 -0.003208865 -0.07301895 54634.033541 4845 2.816
+
+# --- 17.06.2008 --- 01:03:50.389
+48.53573 59.57278 191.1864 50.62449 19.74944 45.13083 -0.01257597 -0.005413966 54634.044333 5188 2.507
+52.30449 51.19288 194.9455 42.26342 20.69056 45.28028 0.000286354 -0.002797718 54634.049456 5566 1.698
+70.495 51.84834 213.1304 42.91788 20.77028 33.97028 -0.001956094 -0.0004826415 54634.053409 5126 2.181
+68.42891 62.9397 211.0791 54.00286 19.93833 35.08333 -6.578713e-05 -0.01137506 54634.056179 5172 3.701
+##-126.6185 24.32878 16.07681 15.4989 14.84806 -16.04167 0.002073227 -0.1453294 54634.068763 4811 2.8
+-56.69148 67.66309 85.94185 58.83408 16.715 38.92222 0.01253849 -0.009121527 54634.075228 5619 3.37
+89.27482 75.82295 231.8957 66.85774 19.51194 27.95972 -0.01568675 -0.02755753 54634.080114 5516 2.344
+-32.82062 46.37168 109.7985 37.55337 15.41556 58.96611 0.008722397 0.0009969169 54634.083168 5497 2.689
+154.6941 73.7476 297.3026 64.78373 19.09028 13.86333 -0.01478966 -0.02349794 54634.087673 5634 2.544
+-82.71896 9.45517 59.89317 0.6228512 13.03639 10.95917 -0.0002090597 -0.09369265 54634.091841 5561 3.011
+-60.93016 60.71312 81.6958 51.89177 16.715 38.92222 0.01142431 -0.002796446 54634.100837 5306 2.923
+
+# new pointing model 18.6.