Index: trunk/Cosy/tpoint/m1/2008_11/starg0811.txt
===================================================================
--- trunk/Cosy/tpoint/m1/2008_11/starg0811.txt	(revision 10002)
+++ trunk/Cosy/tpoint/m1/2008_11/starg0811.txt	(revision 10002)
@@ -0,0 +1,161 @@
+Magic Model  STARGTPOINT data file
+: ALTAZ
+49 48 0 04.11.2008 23:06:50.549
+
+# 04.11.2008 23:06:50.549
+90.37201 16.25878 90.45437 16.32513 5.919444 7.406944 0.06191368 -0.09073838 54774.963085 30 62.197433837
+90.51355 16.5013 90.59448 16.55789 5.919444 7.406944 0.04773622 -0.09430838 54774.963868 27 60.905222117
+
+# 04.11.2008 21:14:14.222
+25.39014 57.00953 25.45415 57.07635 0.675 56.53722 0.05928976 -0.04623874 54774.884887 62 57.033988658
+13.09559 60.9948 13.16406 61.05837 0.675 56.53722 0.04924398 -0.05575835 54774.922532 46 55.292296786
+
+# 15.11.2008 22:55:30.232
+140.2579 58.46414 140.3407 58.52737 2.721667 3.235833 0.07174003 -0.05702052 54785.955211 37 64.093643667
+149.1311 47.47844 149.1902 47.55954 2.940556 -8.898056 0.07167301 -0.05641014 54785.961578 42 69.51844518
+##-168.0354 76.44027 192.0082 76.45376 1.524722 15.34583 0.08745307 0.05133164 54785.967803 51 66.691398866
+
+# 15.11.2008 22:44:22.115
+165.5469 49.91144 165.6355 49.97514 1.857778 -10.335 0.05312701 -0.07780156 54785.947478 36 69.190888469
+
+# 15.11.2008 22:00:13.727
+58.46667 55.58781 58.53379 55.65256 3.136111 40.95556 0.06156857 -0.05185807 54785.916826 53 77.746545369
+73.10924 48.23361 73.17424 48.28243 3.902222 31.88361 0.04779281 -0.07602292 54785.923703 39 85.859721172
+##85.34937 62.66519 85.59299 62.74315 2.833056 27.26056 0.08031098 -0.04540846 54785.928154 40 67.246876181
+102.7974 72.38057 103.0056 72.44382 2.119444 23.4625 0.06943543 -0.01543323 54785.932413 42 71.492736295
+117.4505 74.61301 117.6025 74.67263 1.910556 20.80806 0.07090951 -0.0007855564 54785.935321 37 70.621644612
+171.2343 52.71297 171.2916 52.79622 1.400278 -8.183333 0.03976179 -0.05774919 54785.939684 45 70.428955577
+
+# 15.11.2008 21:17:06.023
+-142.3807 73.42216 217.6949 73.50746 23.07944 15.20528 0.07931307 -0.04886139 54785.886875 50 62.208492439
+
+# 15.11.2008 21:42:54.229
+51.30184 63.69344 51.39685 63.77483 2.065 42.32972 0.07629456 -0.04856992 54785.904794 50 62.884740076
+
+# 17.11.2008 01:09:56.481
+-161.3305 50.71557 198.724 50.77638 2.940556 -8.898056 0.08286822 -0.06045273 54787.04857 43 58.963246692
+-172.6745 51.64966 187.4088 51.7139 3.548889 -9.458333 0.1475321 -0.08035241 54787.053814 46 60.317589792
+161.4816 56.47532 161.555 56.55076 4.605278 -3.3525 0.07139987 -0.05663534 54787.056931 43 58.718827977
+142.0076 43.6587 142.0657 43.72794 5.795833 -9.669722 0.06971833 -0.05997345 54787.059978 51 66.445822306
+152.9495 38.8869 153.0138 38.96152 5.545556 -17.82222 0.07188348 -0.06131235 54787.063505 42 69.803563327
+157.2281 37.12475 157.2818 37.18883 5.470833 -20.75944 0.05865303 -0.05836546 54787.067464 47 67.281361059
+-135.5671 32.21495 224.5032 32.27457 1.734444 -15.9375 0.07996663 -0.0840322 54787.070977 41 68.048086011
+-131.6844 36.85343 228.367 36.91754 1.857778 -10.335 0.08432909 -0.07191708 54787.074401 39 65.728468809
+-32.01961 42.63344 328.0294 42.70453 0.945 60.71667 0.08857803 -0.07244494 54787.080044 65 63.294900756
+-46.98337 50.71909 313.0849 50.77588 1.633333 48.62833 0.07136926 -0.0889773 54787.084981 63 62.806091682
+-71.65884 38.18034 288.3834 38.24992 0.6555556 30.86083 0.08461271 -0.07607598 54787.08841 51 63.512225898
+-77.76056 52.58823 282.2633 52.64046 1.884722 29.57889 0.06862206 -0.09807383 54787.091421 45 62.234437618
+-123.4317 49.95091 236.6205 50.02394 2.721667 3.235833 0.07905967 -0.07451188 54787.09684 47 62.920094518
+-126.3078 53.04948 233.7469 53.10123 3.038056 4.089722 0.07051525 -0.07455601 54787.10037 41 62.941049149
+
+# 16.11.2008 22:49:34.544
+-12.14546 61.19804 347.9235 61.2674 0.675 56.53722 0.08693144 -0.07246019 54786.951094 72 58.629626654
+-18.63477 56.61024 341.4241 56.6767 0.1530556 59.14972 0.07580171 -0.07224568 54786.955676 84 59.356696597
+
+# 16.11.2008 23:08:30.126
+25.65637 60.94044 25.72589 61.0077 3.08 53.50639 0.05798446 -0.0414462 54786.964238 54 60.676876181
+21.3785 54.48896 21.45879 54.54301 3.484444 59.94028 0.04005651 -0.07401343 54786.969221 58 57.798662571
+##12.97439 45.05434 12.46127 44.65673 3.839167 71.33222 0.05553547 -0.06564723 54786.974331 60 65.025879017
+12.69224 11.74772 12.76353 11.82393 11.52333 69.33111 -0.002978207 -0.07293914 54786.977501 40 92.268218336
+
+# 17.11.2008 00:21:40.728
+-145.6701 47.0506 214.385 47.12455 1.400278 -8.183333 0.08560972 -0.06470998 54787.015055 40 57.649465974
+-118.1535 65.42602 241.9203 65.50104 1.524722 15.34583 0.08338411 -0.06358947 54787.018926 48 59.332797732
+-139.2763 32.08854 220.7894 32.15167 0.7263889 -17.98667 0.07914895 -0.08530627 54787.022164 34 64.249465974
+-98.42321 46.8595 261.6299 46.94058 0.2205556 15.18361 0.08893356 -0.08387413 54787.02611 44 60.13481569
+
+# 16.11.2008 23:40:21.592
+20.68606 8.310122 20.77906 8.392405 11.06222 61.75083 0.06580081 -0.08297922 54786.986361 23 109.18028355
+75.18917 69.76406 75.28955 69.83074 3.902222 31.88361 0.07815797 -0.02817307 54786.99147 46 65.423454631
+103.59 84.58877 103.9031 84.64926 2.833056 27.26056 0.07475129 0.3054583 54786.994956 38 59.261720227
+-130.6332 82.14019 229.5735 82.19686 2.119444 23.4625 0.05941033 0.01825029 54786.999764 53 55.794626654
+-124.1966 76.78015 235.9399 76.8339 1.910556 20.80806 0.05227852 -0.03647166 54787.005398 42 59.538123819
+
+# 18.11.2008 03:25:40.507
+33.66642 12.83295 33.7539 12.90079 13.39861 54.92528 0.05626851 -0.08151763 54788.14283 32 76.57831758
+
+# 18.11.2008 01:01:00.433
+2.186411 70.91832 2.249302 70.9877 3.715278 47.7875 0.0575033 -0.01769379 54788.042366 61 54.030326087
+33.529 86.17689 33.42328 86.24616 3.902222 31.88361 0.05896758 0.2589121 54788.046186 45 53.599220227
+38.8462 69.1418 38.90407 69.21643 5.032778 43.82333 0.06938144 -0.02171679 54788.050116 61 54.955524575
+
+# 18.11.2008 02:54:13.004
+-48.92218 13.86958 311.1611 13.94378 23.03194 42.32611 0.07866326 -0.09636972 54788.120984 58 73.43991966
+-48.84218 40.27647 311.2015 40.33585 1.633333 48.62833 0.07841268 -0.06868519 54788.126523 56 59.445089792
+-38.67827 31.29923 321.3932 31.38467 0.675 56.53722 0.09576504 -0.06233942 54788.129295 63 59.600609641
+-13.88676 27.56821 346.1871 27.63759 23.65583 77.6325 0.08697971 -0.08648734 54788.132637 52 64.188827977
+-16.221 16.45317 343.8633 16.52015 21.47778 70.56083 0.08041157 -0.09265208 54788.135246 44 70.666800567
+
+# 17.11.2008 23:55:37.020
+-80.32696 58.46858 279.7394 58.53243 0.1397222 29.09056 0.07780358 -0.07761857 54787.996956 53 53.987849716
+-77.83534 64.30249 282.2513 64.38521 0.6555556 30.86083 0.09525599 -0.07267124 54788.000192 48 54.007953686
+-77.8025 64.02576 282.2876 64.10756 0.6555556 30.86083 0.09090007 -0.07734211 54788.001075 48 55.676592628
+-82.59058 78.9978 277.5972 79.05527 1.884722 29.57889 0.06722571 -0.03454338 54788.004075 45 53.308426276
+-65.27183 68.20507 294.7895 68.27398 1.162222 35.62056 0.08197256 -0.02810295 54788.007169 48 54.341413043
+-52.89396 78.96648 307.2861 79.03548 2.159167 34.98722 0.0806921 0.01399155 54788.010355 53 54.605751418
+-31.68912 65.07481 328.4027 65.14575 1.633333 48.62833 0.08737157 -0.06088422 54788.013065 60 55.219494329
+-36.49523 72.19174 323.6078 72.26281 2.065 42.32972 0.08681371 -0.0418781 54788.016208 58 55.837533081
+-11.82655 68.91941 348.2553 68.99956 2.736667 49.22833 0.08982212 -0.04818147 54788.02262 58 56.745373346
+
+# 18.11.2008 00:44:48.542
+-18.43123 79.28882 341.7143 79.36261 3.086389 38.84028 0.08588462 -0.01241829 54788.031117 61 53.819905482
+-1.137989 68.90244 358.9423 68.96693 3.405278 49.86111 0.09995337 -0.04901921 54788.034211 77 54.46028828
+
+# 18.11.2008 01:22:39.063
+66.377 77.0978 66.42533 77.16609 4.95 33.16611 0.0738572 0.01536952 54788.057397 51 54.754470699
+72.47588 45.4127 72.52901 45.49146 7.576667 31.88833 0.07447124 -0.05474528 54788.061625 55 86.281895085
+86.97559 55.9792 87.04388 56.04662 6.732222 25.13111 0.06898578 -0.05861284 54788.065071 55 65.220231569
+94.93473 60.75973 95.00055 60.82274 6.382778 22.51361 0.06616165 -0.05023724 54788.068043 63 64.731810019
+110.3374 27.06625 110.4076 27.14167 8.143333 -2.983889 0.06368187 -0.07576507 54788.072015 50 73.948383743
+121.8365 29.46175 121.9118 29.53793 7.6875 -9.551111 0.07257938 -0.07449257 54788.075592 54 71.656994329
+138.1435 65.92176 138.212 65.99534 5.585556 9.934167 0.07869544 -0.04491901 54788.078533 48 62.569522684
+141.9206 47.65189 141.9821 47.73002 6.2475 -6.274722 0.06877074 -0.06059416 54788.081997 66 65.994243856
+115.2558 59.35116 115.3165 59.42054 6.754722 12.89556 0.07547681 -0.04707851 54788.093345 63 68.378459357
+153.73 69.33979 153.7978 69.40906 5.585556 9.934167 0.07271878 -0.03729718 54788.097726 53 63.378898866
+-158.1849 34.80224 201.8714 34.86887 3.780833 -23.24972 0.08033712 -0.06987933 54788.10163 48 62.281427221
+-142.0265 62.32708 218.0399 62.39187 4.0525 5.989167 0.08298041 -0.0649116 54788.105569 47 58.855732514
+-129.9403 66.50566 230.1392 66.57841 4.011389 12.49028 0.08616388 -0.06309091 54788.108173 43 59.403416824
+-116.6398 60.43397 243.4257 60.49937 3.514444 12.93667 0.0658547 -0.0702635 54788.111487 43 58.819598299
+
+# 17.11.2008 23:39:07.367
+-108.7581 58.50729 251.3116 58.5728 0.2205556 15.18361 0.07448784 -0.07852297 54787.985502 43 49.311271267
+
+# 19.11.2008 00:35:46.752
+-82.21898 71.61832 277.9091 71.68198 1.884722 29.57889 0.06454067 -0.06359485 54789.024847 44 56.136734405
+-33.13729 45.07939 326.9105 45.14478 0.1530556 59.14972 0.08314357 -0.0720518 54789.030276 72 56.818785444
+50.5199 57.15825 50.58771 57.22444 5.992222 44.9475 0.0678877 -0.0499522 54789.036757 56 56.201190926
+33.95728 33.38156 34.00612 33.44473 8.504444 60.71806 0.05230631 -0.05245008 54789.041423 48 65.068672023
+33.95498 33.96748 34.02089 34.03392 8.504444 60.71806 0.05399352 -0.0709524 54789.04475 45 59.984744802
+
+# 19.11.2008 03:47:36.619
+-43.36228 66.92546 316.7276 67.00024 5.032778 43.82333 0.07522017 -0.06469993 54789.158063 46 60.516951796
+-39.00611 78.75994 321.0523 78.8228 5.995278 37.2125 0.05954361 -0.02265558 54789.161889 62 60.429220227
+-13.96914 63.32705 346.1011 63.40364 5.992222 54.28472 0.07609684 -0.05996254 54789.166949 55 60.948232514
+
+# 19.11.2008 02:13:16.749
+-157.1912 15.88158 202.8924 15.93678 2.971111 -40.30472 0.06522945 -0.08888589 54789.092555 37 69.585307183
+##-152.9775 27.18195 206.6295 26.84357 3.201111 -28.98694 0.08943768 -0.08227831 54789.096282 45 57.204333648
+162.5053 28.81629 162.573 28.88172 6.338611 -30.06333 0.06246758 -0.07439151 54789.102323 55 66.013539698
+164.9973 15.77155 165.0821 15.84285 6.629444 -43.19611 0.05494817 -0.08644632 54789.1081 43 62.896143667
+97.66071 62.74639 97.73157 62.81776 7.335278 21.98222 0.07759863 -0.05577375 54789.111778 52 58.63907845
+175.4538 25.23981 175.5214 25.31652 5.849444 -35.76833 -0.01521319 -0.07850002 54789.117023 55 63.367353497
+-171.0552 38.48565 189.0088 38.54407 5.091111 -22.37111 0.1603844 -0.06817902 54789.1206 41 57.124413989
+-164.1719 28.78319 195.9081 28.84692 4.5925 -30.56222 0.07944879 -0.08320292 54789.123539 39 60.185893195
+-149.9571 53.94808 210.1025 54.01354 4.605278 -3.3525 0.08696329 -0.06375965 54789.127071 44 55.450241021
+-127.0309 56.11584 233.0299 56.18784 4.0525 5.989167 0.08146199 -0.06834422 54789.130217 45 56.361677694
+-111.8491 49.8988 248.2088 49.96774 3.413611 9.028889 0.07283412 -0.08072267 54789.133233 44 56.638171078
+-75.32341 61.13735 284.755 61.19613 3.902222 31.88361 0.06272322 -0.07527011 54789.142848 56 61.273534972
+-70.07694 73.13599 289.9995 73.20397 4.95 33.16611 0.07209858 -0.04334968 54789.146609 57 61.860283554
+
+# 19.11.2008 01:17:12.728
+43.33703 26.04249 43.40848 26.11039 9.5475 51.67722 0.05266519 -0.07063587 54789.05362 47 66.119532136
+50.03306 17.26504 50.12015 17.31836 10.285 42.91444 0.04274781 -0.0833705 54789.058519 35 75.562126654
+##56.81667 32.23298 56.46884 31.87295 9.010556 41.78278 0.07111615 -0.07141582 54789.064225 45 67.293931947
+105.3503 41.38991 105.4042 41.4674 7.4525 8.289444 0.07838889 -0.05486759 54789.067634 52 67.048497164
+108.2095 53.43662 108.2697 53.48797 6.754722 12.89556 0.05883462 -0.05110009 54789.070489 61 65.671280718
+152.5729 83.5408 152.4611 83.60605 4.704167 22.95694 0.07436156 0.2114535 54789.074736 56 58.762613422
+171.2169 67.9984 171.2392 68.08021 4.830556 6.961389 0.07752948 0.0004082495 54789.07974 49 59.990453686
+-155.4552 65.367 204.6015 65.44709 4.0525 5.989167 0.08669728 -0.04833835 54789.084335 47 59.407225898
+
+# 19.11.2008 00:20:47.223
+-109.984 76.55855 250.2124 76.62585 2.119444 23.4625 0.05984301 -0.04284187 54789.014435 55 54.146271267