Index: trunk/Cosy/tpoint/bending101201_m1.mod
===================================================================
--- trunk/Cosy/tpoint/bending101201_m1.mod	(revision 10061)
+++ trunk/Cosy/tpoint/bending101201_m1.mod	(revision 10061)
@@ -0,0 +1,26 @@
+MAGIC1 01.12.2010 09:22:20.793
+S   00   000000   000000  0000000
+     IA    0.12125354   0.041348702
+     IE    0.27804858    0.16554503
+   FLOP             0             0
+     AN             0             0
+     AW             0             0
+   NPAE             0             0
+     CA   0.010929775   0.025945188
+     TF             0             0
+     TX             0             0
+   ECES    0.01021086    0.13829634
+   ACES             0             0
+   ECEC  -0.018930619    0.11084439
+   ACEC             0             0
+    NRX             0             0
+    NRY             0             0
+    CRX   0.004858796   0.012024612
+    CRY  0.0011478298   0.011880016
+ MAGIC1  -0.021658569   0.013266526
+ MAGIC2             0             0
+     PX             0             0
+     PY             0             0
+     DX             0             0
+     DY             0             0
+END
Index: trunk/Cosy/tpoint/bending101201_m2.mod
===================================================================
--- trunk/Cosy/tpoint/bending101201_m2.mod	(revision 10061)
+++ trunk/Cosy/tpoint/bending101201_m2.mod	(revision 10061)
@@ -0,0 +1,26 @@
+MAGIC1 01.12.2010 09:18:10.215
+S   00   000000   000000  0000000
+     IA -0.0002598534   0.026281701
+     IE  -0.080952586    0.18409022
+   FLOP             0             0
+     AN             0             0
+     AW             0             0
+   NPAE  -0.014977988   0.023196809
+     CA             0             0
+     TF             0             0
+     TX             0             0
+   ECES   -0.02730298    0.14303861
+   ACES -0.0020967062   0.027426241
+   ECEC   -0.05791397    0.13393351
+   ACEC -0.0040023913   0.038887047
+    NRX             0             0
+    NRY             0             0
+    CRX  0.0062040997   0.017735965
+    CRY  0.0025544035   0.019664042
+ MAGIC1  -0.012885633   0.018218359
+ MAGIC2             0             0
+     PX             0             0
+     PY             0             0
+     DX             0             0
+     DY             0             0
+END
Index: trunk/Cosy/tpoint/tpoints20100401_m2.col
===================================================================
--- trunk/Cosy/tpoint/tpoints20100401_m2.col	(revision 10061)
+++ trunk/Cosy/tpoint/tpoints20100401_m2.col	(revision 10061)
@@ -0,0 +1,140 @@
+# new poiting model 2010/03/31
+
+tpoint/m2/2010_04_01/tpoint_20100331_224820.txt
+tpoint/m2/2010_04_02/tpoint_20100401_220305.txt
+tpoint/m2/2010_04_02/tpoint_20100402_002432.txt
+tpoint/m2/2010_04_03/tpoint_20100402_222243.txt
+tpoint/m2/2010_04_05/tpoint_20100404_225603.txt
+tpoint/m2/2010_04_06/tpoint_20100405_224940.txt
+tpoint/m2/2010_04_06/tpoint_20100406_011736.txt
+tpoint/m2/2010_04_07/tpoint_20100406_213934.txt
+tpoint/m2/2010_04_07/tpoint_20100407_024829.txt
+tpoint/m2/2010_04_08/tpoint_20100407_213704.txt
+tpoint/m2/2010_04_09/tpoint_20100409_035717.txt
+tpoint/m2/2010_04_10/tpoint_20100409_232321.txt
+tpoint/m2/2010_04_11/tpoint_20100410_232148.txt
+tpoint/m2/2010_04_11/tpoint_20100411_045707.txt
+tpoint/m2/2010_04_12/tpoint_20100411_231515.txt
+tpoint/m2/2010_04_12/tpoint_20100412_023921.txt
+tpoint/m2/2010_04_22/tpoint_20100421_222329.txt
+tpoint/m2/2010_04_23/tpoint_20100423_002324.txt
+tpoint/m2/2010_04_25/tpoint_20100424_232706.txt
+tpoint/m2/2010_04_26/tpoint_20100425_221507.txt
+tpoint/m2/2010_04_26/tpoint_20100426_000257.txt
+tpoint/m2/2010_05_01/tpoint_20100430_231659.txt
+tpoint/m2/2010_05_02/tpoint_20100502_004052.txt
+tpoint/m2/2010_05_02/tpoint_20100502_005317.txt
+tpoint/m2/2010_05_03/tpoint_20100503_013900.txt
+tpoint/m2/2010_05_05/tpoint_20100504_213644.txt
+tpoint/m2/2010_05_06/tpoint_20100506_005352.txt
+tpoint/m2/2010_05_08/tpoint_20100508_014200.txt
+tpoint/m2/2010_05_17/tpoint_20100516_224040.txt
+tpoint/m2/2010_05_18/tpoint_20100517_230809.txt
+tpoint/m2/2010_05_23/tpoint_20100522_231055.txt
+tpoint/m2/2010_05_23/tpoint_20100523_024630.txt
+tpoint/m2/2010_05_24/tpoint_20100523_215011.txt
+tpoint/m2/2010_05_25/tpoint_20100524_214237.txt
+tpoint/m2/2010_05_30/tpoint_20100530_000436.txt
+tpoint/m2/2010_05_31/tpoint_20100531_003910.txt
+tpoint/m2/2010_06_01/tpoint_20100601_010546.txt
+tpoint/m2/2010_06_01/tpoint_20100601_024528.txt
+tpoint/m2/2010_06_02/tpoint_20100601_220333.txt
+tpoint/m2/2010_06_03/tpoint_20100602_215751.txt
+tpoint/m2/2010_06_04/tpoint_20100603_232918.txt
+tpoint/m2/2010_06_05/tpoint_20100604_224232.txt
+tpoint/m2/2010_06_06/tpoint_20100605_232014.txt
+tpoint/m2/2010_06_07/tpoint_20100607_003512.txt
+tpoint/m2/2010_06_08/tpoint_20100607_231342.txt
+tpoint/m2/2010_06_09/tpoint_20100608_230622.txt
+tpoint/m2/2010_06_10/tpoint_20100609_224854.txt
+tpoint/m2/2010_06_11/tpoint_20100610_220244.txt
+tpoint/m2/2010_06_12/tpoint_20100612_045730.txt
+tpoint/m2/2010_06_13/tpoint_20100613_050309.txt
+tpoint/m2/2010_06_14/tpoint_20100614_050626.txt
+tpoint/m2/2010_06_15/tpoint_20100615_044726.txt
+tpoint/m2/2010_06_16/tpoint_20100615_235441.txt
+tpoint/m2/2010_06_16/tpoint_20100616_043846.txt
+tpoint/m2/2010_06_17/tpoint_20100617_045021.txt
+tpoint/m2/2010_06_18/tpoint_20100618_044703.txt
+tpoint/m2/2010_06_19/tpoint_20100619_044402.txt
+tpoint/m2/2010_06_20/tpoint_20100620_044809.txt
+tpoint/m2/2010_06_21/tpoint_20100620_231915.txt
+tpoint/m2/2010_06_22/tpoint_20100621_225430.txt
+tpoint/m2/2010_06_23/tpoint_20100622_215811.txt
+tpoint/m2/2010_06_24/tpoint_20100623_221309.txt
+tpoint/m2/2010_06_30/tpoint_20100630_000251.txt
+tpoint/m2/2010_07_01/tpoint_20100701_014838.txt
+tpoint/m2/2010_07_02/tpoint_20100702_015307.txt
+tpoint/m2/2010_07_03/tpoint_20100703_024039.txt
+tpoint/m2/2010_07_05/tpoint_20100705_051123.txt
+tpoint/m2/2010_07_06/tpoint_20100706_050548.txt
+tpoint/m2/2010_07_07/tpoint_20100707_052230.txt
+tpoint/m2/2010_07_08/tpoint_20100708_045208.txt
+tpoint/m2/2010_07_09/tpoint_20100709_045642.txt
+tpoint/m2/2010_07_10/tpoint_20100710_050552.txt
+tpoint/m2/2010_07_11/tpoint_20100711_050810.txt
+tpoint/m2/2010_07_12/tpoint_20100712_050040.txt
+tpoint/m2/2010_07_13/tpoint_20100713_050511.txt
+tpoint/m2/2010_07_14/tpoint_20100714_050918.txt
+tpoint/m2/2010_07_15/tpoint_20100715_050254.txt
+tpoint/m2/2010_07_16/tpoint_20100716_050223.txt
+tpoint/m2/2010_07_17/tpoint_20100717_053130.txt
+tpoint/m2/2010_07_18/tpoint_20100718_051544.txt
+tpoint/m2/2010_07_19/tpoint_20100719_051231.txt
+tpoint/m2/2010_07_20/tpoint_20100720_050649.txt
+tpoint/m2/2010_07_21/tpoint_20100720_215331.txt
+tpoint/m2/2010_07_22/tpoint_20100721_215412.txt
+tpoint/m2/2010_07_23/tpoint_20100722_225446.txt
+tpoint/m2/2010_08_04/tpoint_20100804_051827.txt
+tpoint/m2/2010_08_06/tpoint_20100806_051711.txt
+tpoint/m2/2010_08_08/tpoint_20100808_052834.txt
+tpoint/m2/2010_08_20/tpoint_20100819_214908.txt
+tpoint/m2/2010_08_21/tpoint_20100820_211601.txt
+tpoint/m2/2010_08_21/tpoint_20100820_230100.txt
+tpoint/m2/2010_08_22/tpoint_20100821_235820.txt
+tpoint/m2/2010_08_29/tpoint_20100828_215520.txt
+tpoint/m2/2010_08_30/tpoint_20100830_000229.txt
+tpoint/m2/2010_08_31/tpoint_20100831_012025.txt
+tpoint/m2/2010_09_01/tpoint_20100901_043307.txt
+tpoint/m2/2010_09_02/tpoint_20100902_053354.txt
+tpoint/m2/2010_09_03/tpoint_20100903_054841.txt
+tpoint/m2/2010_09_04/tpoint_20100904_055027.txt
+tpoint/m2/2010_09_07/tpoint_20100907_054915.txt
+tpoint/m2/2010_09_08/tpoint_20100908_055647.txt
+tpoint/m2/2010_09_09/tpoint_20100909_030747.txt
+tpoint/m2/2010_09_10/tpoint_20100910_054828.txt
+tpoint/m2/2010_09_12/tpoint_20100912_055350.txt
+tpoint/m2/2010_09_13/tpoint_20100913_053902.txt
+tpoint/m2/2010_09_13/tpoint_20100913_055046.txt
+tpoint/m2/2010_09_17/tpoint_20100917_010555.txt
+tpoint/m2/2010_09_18/tpoint_20100917_214803.txt
+tpoint/m2/2010_09_20/tpoint_20100919_235726.txt
+tpoint/m2/2010_09_21/tpoint_20100920_221736.txt
+tpoint/m2/2010_09_28/tpoint_20100928_015826.txt
+tpoint/m2/2010_10_13/tpoint_20101013_061626.txt
+tpoint/m2/2010_10_18/tpoint_20101017_195420.txt
+tpoint/m2/2010_10_19/tpoint_20101018_220636.txt
+
+# Error in SA introduced (The reflector was focusssed to the start point of movement
+# instead of the end point. It doesn't effect the pointing model, i.e. focussing doesn't
+# effect pointing, but it effects the spread of the TPoints)
+# For M2 there seems to be a little bias
+
+#tpoint/m2/2010_10_27/tpoint_20101026_230426.txt
+#tpoint/m2/2010_10_27/tpoint_20101026_235055.txt
+#tpoint/m2/2010_10_28/tpoint_20101028_023939.txt
+#tpoint/m2/2010_10_30/tpoint_20101030_060612.txt
+#tpoint/m2/2010_11_02/tpoint_20101102_054059.txt
+#tpoint/m2/2010_11_08/tpoint_20101108_062300.txt
+#tpoint/m2/2010_11_11/tpoint_20101111_062850.txt
+#tpoint/m2/2010_11_12/tpoint_20101112_062721.txt
+#tpoint/m2/2010_11_13/tpoint_20101113_062915.txt
+#tpoint/m2/2010_11_14/tpoint_20101114_063336.txt
+#tpoint/m2/2010_11_16/tpoint_20101116_062538.txt
+#tpoint/m2/2010_11_17/tpoint_20101116_195024.txt
+#tpoint/m2/2010_11_17/tpoint_20101116_203928.txt
+#tpoint/m2/2010_11_18/tpoint_20101117_203452.txt
+#tpoint/m2/2010_11_18/tpoint_20101117_224505.txt
+#tpoint/m2/2010_11_19/tpoint_20101118_215530.txt
+#tpoint/m2/2010_11_24/tpoint_20101123_210416.txt
+#tpoint/m2/2010_11_25/tpoint_20101124_220405.txt
Index: trunk/Cosy/tpoint/tpoints20100703_m1.col
===================================================================
--- trunk/Cosy/tpoint/tpoints20100703_m1.col	(revision 10028)
+++ trunk/Cosy/tpoint/tpoints20100703_m1.col	(revision 10061)
@@ -46,2 +46,33 @@
 tpoint/m1/2010_09_28/tpoint_20100927_232639.txt
 tpoint/m1/2010_09_29/tpoint_20100929_012702.txt
+
+# New pointing model (29/09/2010)
+
+tpoint/m1/2010_10_05/tpoint_20101005_055801.txt
+tpoint/m1/2010_10_10/tpoint_20101010_060846.txt
+tpoint/m1/2010_10_13/tpoint_20101013_061604.txt
+tpoint/m1/2010_10_14/tpoint_20101014_061737.txt
+tpoint/m1/2010_10_17/tpoint_20101017_060443.txt
+tpoint/m1/2010_10_18/tpoint_20101017_195718.txt
+tpoint/m1/2010_10_19/tpoint_20101018_221600.txt
+tpoint/m1/2010_10_21/tpoint_20101021_023133.txt
+
+# Error in SA introduced (The reflector was focusssed to the start point of movement
+# instead of the end point. It doesn't effect the pointing model, i.e. focussing doesn't
+# effect pointing, but it effects the spread of the TPoints)
+
+tpoint/m1/2010_10_26/tpoint_20101025_231202.txt
+tpoint/m1/2010_10_27/tpoint_20101026_230427.txt
+tpoint/m1/2010_10_28/tpoint_20101028_023939.txt
+tpoint/m1/2010_10_30/tpoint_20101030_060614.txt
+tpoint/m1/2010_11_02/tpoint_20101102_054103.txt
+tpoint/m1/2010_11_08/tpoint_20101108_062258.txt
+tpoint/m1/2010_11_11/tpoint_20101111_062851.txt
+tpoint/m1/2010_11_12/tpoint_20101112_062722.txt
+tpoint/m1/2010_11_13/tpoint_20101113_062914.txt
+tpoint/m1/2010_11_14/tpoint_20101114_063340.txt
+tpoint/m1/2010_11_16/tpoint_20101116_062534.txt
+tpoint/m1/2010_11_17/tpoint_20101116_195328.txt
+tpoint/m1/2010_11_18/tpoint_20101117_202742.txt
+tpoint/m1/2010_11_19/tpoint_20101118_215530.txt
+tpoint/m1/2010_11_25/tpoint_20101124_220401.txt