Index: trunk/Cosy/tpoint/m2/2010_04_02/tpoint_20100401_220305.txt
===================================================================
--- trunk/Cosy/tpoint/m2/2010_04_02/tpoint_20100401_220305.txt	(revision 9954)
+++ trunk/Cosy/tpoint/m2/2010_04_02/tpoint_20100401_220305.txt	(revision 10065)
@@ -2,8 +2,8 @@
 : ALTAZ
 49 48 0 01.04.2010 22:03:05.010
--18.33696 83.6851 339.1032 83.9613 9.350833 34.3925 0.3047145 2.68197 55287.918808 1097 8.475 372.4 307.2 405.7 345.4 7 35 0 0 0 3.13 Lyn-Alpha-40
+##-18.33696 83.6851 339.1032 83.9613 9.350833 34.3925 0.3047145 2.68197 55287.918808 1097 8.475 372.4 307.2 405.7 345.4 7 35 0 0 0 3.13 Lyn-Alpha-40
 177.3732 81.67141 177.4376 81.6312 11.235 20.52361 0.02547094 -0.03432565 55287.988714 1382 6.481 372.4 305.3 371.8 308.4 7 35 0 0 0 2.56 Zosma
 -133.86 67.06223 226.1448 67.05371 10.13944 11.96722 0.01013484 0.002747571 55287.990521 1438 4.327 372.5 292.9 372.6 294.2 7 35 0 0 0 1.35 Regulus
--106.6012 74.72659 252.3447 75.07215 10.27806 23.41722 0.3723316 1.061409 55287.992968 1473 8.099 372.4 299.5 405.4 345.5 7 35 0 0 0 3.44 Al-Dhafera
+##-106.6012 74.72659 252.3447 75.07215 10.27806 23.41722 0.3723316 1.061409 55287.992968 1473 8.099 372.4 299.5 405.4 345.5 7 35 0 0 0 3.44 Al-Dhafera
 -97.82044 68.14151 262.2231 68.12863 9.764167 23.77417 0.006047971 -0.03146255 55287.994549 1487 7.942 372.5 293.9 371.1 294.6 7 35 0 0 0 2.98 Algenubi
 -70.11601 63.19511 289.9521 63.19202 9.350833 34.3925 0.006331765 -0.04648034 55287.997172 1538 8.44 372.4 289.2 369.8 290 7 35 0 0 0 3.13 Lyn-Alpha-40
Index: trunk/Cosy/tpoint/m2/2010_04_02/tpoint_20100402_002432.txt
===================================================================
--- trunk/Cosy/tpoint/m2/2010_04_02/tpoint_20100402_002432.txt	(revision 9954)
+++ trunk/Cosy/tpoint/m2/2010_04_02/tpoint_20100402_002432.txt	(revision 10065)
@@ -9,5 +9,5 @@
 22.55473 60.44148 22.60544 60.42074 13.39861 54.92528 0.01427359 -0.01119954 55288.026451 1833 4.997 372.1 286.3 371.4 288.1 7 35 0 0 0 2.27 Mizar
 35.5657 62.27332 35.60787 62.24678 13.79222 49.31333 0.01113834 -5.259604e-05 55288.028144 1855 4.665 372.2 287.4 372.2 288.8 7 35 0 0 0 1.86 Benetnasch
-42.58258 76.37875 41.44899 76.69391 12.93389 38.31833 0.3666334 1.215048 55288.029547 1879 7.606 372.3 300.1 405.6 345.5 7 35 0 0 0 2.9 Cor-Carioli
+##42.58258 76.37875 41.44899 76.69391 12.93389 38.31833 0.3666334 1.215048 55288.029547 1879 7.606 372.3 300.1 405.6 345.5 7 35 0 0 0 2.9 Cor-Carioli
 62.47768 59.96013 62.53105 59.92757 14.53472 38.30833 0.0111472 -0.01596719 55288.031469 1988 6.879 372.1 286.5 371.1 287.9 7 35 0 0 0 3.03 Seginus
 80.47394 46.49741 80.48803 46.46203 15.57806 26.71472 0.004467108 0.008165824 55288.033219 2104 5.523 372.1 286 372.8 286.5 7 35 0 0 0 2.23 Alphecca
@@ -17,5 +17,5 @@
 153.6294 70.34797 153.6824 70.30748 13.03639 10.95917 0.0140048 -0.02597261 55288.040448 2046 6.362 372.2 294 371.1 295.7 7 35 0 0 0 2.83 Vindemiatrix
 159.6137 47.86616 159.6258 47.83189 13.42 -11.16139 0.004597733 -0.001330179 55288.042428 2864 3.99 372.1 286 372 286.6 7 35 0 0 0 0.98 Spica
-180.0065 37.73561 179.6988 37.7631 12.57306 -23.39667 0.06090719 0.3083628 55288.044698 2500 8.327 372.1 286 402 293.5 7 35 0 0 0 2.65 Crv-Beta-9
+##180.0065 37.73561 179.6988 37.7631 12.57306 -23.39667 0.06090719 0.3083628 55288.044698 2500 8.327 372.1 286 402 293.5 7 35 0 0 0 2.65 Crv-Beta-9
 -172.2916 38.183 187.7286 38.17996 12.16861 -22.61972 0.0005005294 -0.02289721 55288.04684 2453 8.099 372.2 285.9 370 286 7 35 0 0 0 3 Minkar
 -172.0159 43.27958 187.9983 43.26602 12.26333 -17.54194 -0.004749454 -0.01291452 55288.049444 2398 7.834 372.2 285.8 371 285.2 7 35 0 0 0 2.59 Gienah
@@ -23,11 +23,11 @@
 -105.9446 67.07961 254.0914 67.07505 11.235 20.52361 0.01432308 -0.03034684 55288.055068 2125 5.989 372.4 291.9 370.9 293.7 7 35 0 0 0 2.56 Zosma
 -105.4046 48.54343 254.6053 48.54719 10.13944 11.96722 0.00650857 -0.003567352 55288.057105 2217 4.473 372.2 286 372 286.8 7 35 0 0 0 1.35 Regulus
--118.5189 27.5515 241.2089 27.61944 9.459722 -8.658611 0.06145201 0.2753281 55288.059491 2421 8.548 372 285.9 402 293.5 7 35 0 0 0 1.98 Alphard
-96.19148 19.97999 95.93482 20.0091 17.72444 4.567222 0.06413984 0.257562 55288.066506 5519 7.634 371.8 285.6 401.5 293.5 7 35 0 0 0 2.77 Oph-Beta-60
+##-118.5189 27.5515 241.2089 27.61944 9.459722 -8.658611 0.06145201 0.2753281 55288.059491 2421 8.548 372 285.9 402 293.5 7 35 0 0 0 1.98 Alphard
+##96.19148 19.97999 95.93482 20.0091 17.72444 4.567222 0.06413984 0.257562 55288.066506 5519 7.634 371.8 285.6 401.5 293.5 7 35 0 0 0 2.77 Oph-Beta-60
 118.3675 71.8811 118.43 71.84485 14.26111 19.1825 0.006091332 -0.018768 55288.068894 5037 2.292 372.1 295.6 371.4 296.3 7 35 0 0 0 -0.04 Arcturus
 89.33672 69.60196 89.40969 69.5464 14.74972 27.07417 -0.002252104 -0.0218218 55288.071976 5152 5.915 372.1 294.1 371.1 293.9 7 35 0 0 0 2.7 Pulcherrima
 85.65898 59.71794 85.69718 59.6785 15.57806 26.71472 0.007286151 -0.004671314 55288.075347 5215 5.452 372 286.4 371.7 287.3 7 35 0 0 0 2.23 Alphecca
-73.72791 47.20119 73.38844 47.21842 16.68806 31.60306 0.05970545 0.3610081 55288.078428 5312 8.627 371.9 286.1 402 293.5 7 35 0 0 0 2.81 Her-Zeta-40
-89.55366 47.95033 89.20887 47.96909 16.50361 21.48972 0.06016702 0.3666521 55288.081335 5426 8.52 371.9 286 402 293.5 7 35 0 0 0 2.77 Kornephoros
+##73.72791 47.20119 73.38844 47.21842 16.68806 31.60306 0.05970545 0.3610081 55288.078428 5312 8.627 371.9 286.1 402 293.5 7 35 0 0 0 2.81 Her-Zeta-40
+##89.55366 47.95033 89.20887 47.96909 16.50361 21.48972 0.06016702 0.3666521 55288.081335 5426 8.52 371.9 286 402 293.5 7 35 0 0 0 2.77 Kornephoros
 92.39656 31.13507 92.41224 31.11201 17.58222 12.56 0.01370191 -0.006235922 55288.084009 5611 5.592 371.8 286.1 371.1 287.8 7 35 0 0 0 2.08 Oph-Alpha-55
 58.96457 28.39753 58.97256 28.37114 18.61556 38.78361 0.01167835 0.004865101 55288.087897 5497 3.85 371.8 286 372.4 287.5 7 35 0 0 0 0.03 Vega